> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /magiceden/packs

> List Magic Eden gacha packs

**Price:** 1 credit

**💡 AI Hint:** List Magic Eden gacha-style packs (mystery boxes of NFTs). Each pack returns its id, display name, kind, type, tier, chain, description, price (with currency), creator payout rate, and flags for test, creator, featured and deleted packs. Packs span multiple chains.



## OpenAPI

````yaml /openapi-filtered.json post /api/magiceden/packs
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/magiceden/packs:
    post:
      tags:
        - /magiceden
      summary: /magiceden/packs
      description: >-
        List Magic Eden gacha packs


        **Price:** 1 credit


        **💡 AI Hint:** List Magic Eden gacha-style packs (mystery boxes of
        NFTs). Each pack returns its id, display name, kind, type, tier, chain,
        description, price (with currency), creator payout rate, and flags for
        test, creator, featured and deleted packs. Packs span multiple chains.
      operationId: __api_magiceden_packs_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MagicedenPacksPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/MagicedenPack'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    MagicedenPacksPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          description: Max scrapping execution timeout (in seconds)
          default: 300
        count:
          type: integer
          minimum: 1
          description: Number of packs to return
        include_deleted:
          type: boolean
          description: Include deleted and retired packs
          default: false
      type: object
      required:
        - count
    MagicedenPack:
      properties:
        '@type':
          type: string
          default: MagicedenPack
        id:
          type: string
        display_name:
          anyOf:
            - type: string
            - type: 'null'
        kind:
          anyOf:
            - type: string
            - type: 'null'
        type:
          anyOf:
            - type: string
            - type: 'null'
        tier:
          anyOf:
            - type: string
            - type: 'null'
        chain:
          anyOf:
            - type: string
            - type: 'null'
        description:
          anyOf:
            - type: string
            - type: 'null'
        price:
          anyOf:
            - type: number
            - type: 'null'
        currency:
          anyOf:
            - type: string
            - type: 'null'
        payout_rate:
          anyOf:
            - type: number
            - type: 'null'
        asset_id:
          anyOf:
            - type: string
            - type: 'null'
        is_test_pack:
          type: boolean
          default: false
        is_creator_pack:
          type: boolean
          default: false
        is_featured_pack:
          type: boolean
          default: false
        is_deleted:
          type: boolean
          default: false
      type: object
      required:
        - id
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````